Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto
Class BadPaddingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  javax.crypto.BadPaddingException

All Implemented Interfaces:
  Serializable

public class BadPaddingException
extends GeneralSecurityException

This exception is thrown when a particular padding mechanism is expected for the input data but the data is not padded properly.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`BadPaddingException()` Constructs a BadPaddingException with no detail message.
`BadPaddingException(String msg)` Constructs a BadPaddingException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadPaddingException

    public BadPaddingException()

  Constructs a BadPaddingException with no detail message. A detail message is a String that describes this particular exception.

### BadPaddingException

    public BadPaddingException(String msg)

  Constructs a BadPaddingException with the specified detail message. A detail message is a String that describes this particular exception, which may, for example, specify which algorithm is not available.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.